org.wildfly.swarm.config.management.security_realm.authorization

## Class UsernameIsDnUsernameToDn<T extends UsernameIsDnUsernameToDn<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.authorization.UsernameIsDnUsernameToDn<T>

-     public class UsernameIsDnUsernameToDn<T extends UsernameIsDnUsernameToDn<T>>
      extends Object

  User search configuration where the username is already a distinguished name.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsernameIsDnUsernameToDn.UsernameIsDnUsernameToDnResources` Child mutators for UsernameIsDnUsernameToDn

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsernameIsDnUsernameToDn()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `byAccessTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `Boolean` | `force()` Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.
    `T` | `force(Boolean value)` Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `UsernameIsDnUsernameToDn.UsernameIsDnUsernameToDnResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsernameIsDnUsernameToDn

          public UsernameIsDnUsernameToDn()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public UsernameIsDnUsernameToDn.UsernameIsDnUsernameToDnResources subresources()

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### force

          public Boolean force()

      Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.

    - #### force

          public T force(Boolean value)

      Authentication may have already converted the username to a distinguished name, force this to occur again before loading groups.

Copyright © 2018 JBoss by Red Hat. All rights reserved.